Package org.eclipse.gef.zest.fx.policies

# Class SemanticZoomPolicy

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
org.eclipse.gef.mvc.fx.policies.AbstractPolicy
org.eclipse.gef.mvc.fx.policies.ViewportPolicy
org.eclipse.gef.zest.fx.policies.SemanticZoomPolicy

All Implemented Interfaces:
  `IAdaptable.Bound<IVisualPart<? extends Node>>`, `IPolicy`

public class SemanticZoomPolicy extends ViewportPolicy
The `SemanticZoomPolicy` extends the `ViewportPolicy` for associating semantic changes with viewport changes, i.e. opening of nested/nesting graphs when the zoom level is changed below/above a certain threshold.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`SemanticZoomPolicy()`

## Method Summary

Modifier and Type
Method
Description
`ITransactionalOperation`
`commit()`
`protected ITransactionalOperation`
`createOperation()`
`protected List<NodePart>`
`findNestingNodes()`
Returns a `List` containing all `NodePart`s (within the currently rendered graph) that have a nested graph assigned to them.
`protected ChangeViewportOperation`
`getChangeViewportOperation()`
`protected NavigateOperation`
`getNavigateOperation()`
Returns the `NavigateOperation` that is used to open nested/nesting `Graph`s.
`void`
`init()`
`void`
`zoom(boolean relative, boolean discretize, double relativeZoom, double sceneX, double sceneY)`

### Methods inherited from class org.eclipse.gef.mvc.fx.policies.ViewportPolicy

`fitToSize, fitToSize, fitToSize, scroll, setScroll, setZoom`

### Methods inherited from class org.eclipse.gef.mvc.fx.policies.AbstractPolicy

`checkInitialized, getOperation, isInitialized, locallyExecuteOperation, rollback`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.mvc.fx.policies.IPolicy

`getHost`

## Constructor Details

### SemanticZoomPolicy

public SemanticZoomPolicy()

## Method Details

### commit

public ITransactionalOperation commit()

Specified by:
  `commit` in interface `IPolicy`
Overrides:
  `commit` in class `AbstractPolicy`

### createOperation

protected ITransactionalOperation createOperation()

Overrides:
  `createOperation` in class `ViewportPolicy`

### findNestingNodes

protected List<NodePart> findNestingNodes()
Returns a `List` containing all `NodePart`s (within the currently rendered graph) that have a nested graph assigned to them.

Returns:
  A `List` containing all `NodePart`s (within the currently rendered graph) that have a nested graph assigned to them.

### getChangeViewportOperation

protected ChangeViewportOperation getChangeViewportOperation()

Overrides:
  `getChangeViewportOperation` in class `ViewportPolicy`

### getNavigateOperation

protected NavigateOperation getNavigateOperation()
Returns the `NavigateOperation` that is used to open nested/nesting `Graph`s.

Returns:
  The `NavigateOperation` that is used to open nested/nesting `Graph`s.

### init

public void init()

Specified by:
  `init` in interface `IPolicy`
Overrides:
  `init` in class `AbstractPolicy`

### zoom

public void zoom(boolean relative, boolean discretize, double relativeZoom, double sceneX, double sceneY)

Overrides:
  `zoom` in class `ViewportPolicy`